GDB (xrefs)

Public Attributes | List of all members
membuf_object Struct Reference

## Public Attributes
PyObject_HEAD void * | buffer
CORE_ADDR | addr
CORE_ADDR | length

## Detailed Description

Definition at line 58 of file py-inferior.c.

## Member Data Documentation

## ◆ addr

CORE_ADDR membuf_object::addr

Definition at line 63 of file py-inferior.c.

Referenced by mbpy_str().

## ◆ buffer

PyObject_HEAD void* membuf_object::buffer

Definition at line 60 of file py-inferior.c.

Referenced by get_read_buffer().

## ◆ length

CORE_ADDR membuf_object::length

Definition at line 64 of file py-inferior.c.

Referenced by get_read_buffer(), and mbpy_str().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-inferior.c